Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 25 Jul 2014, 13:33
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Iron Browser 29.0.1600.1
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [9 Posts]  
Author Message
OscarTalks

Joined: 05 Feb 2012
Posts: 817
Location: London, England

PostPosted: Fri 31 May 2013, 00:31    Post subject:  Iron Browser 29.0.1600.1  

This is Iron Browser
A Chromium derivative
Version 29.0.1600.1 (for testing)
Uploaded 24th November 2013

Information:-
https://www.srware.net/en/software_srware_iron.php

Runs in Precise and Upup Raring
Runs in recent Slackos if you install libgconf2 (see below)

DOWNLOAD from my Yandex Disk here:-
http://yadi.sk/d/zTshLczR4wHj8

Earlier versions discussed in the thread below have now been removed.
libgconf2-4.1.5-s14.pet
Description  Official Slackware 14.0 libgconf2 library on its own - needed for Iron in Slacko
pet

 Download 
Filename  libgconf2-4.1.5-s14.pet 
Filesize  61.26 KB 
Downloaded  404 Time(s) 

_________________
Oscar in England


Last edited by OscarTalks on Sun 24 Nov 2013, 14:25; edited 2 times in total
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 2039
Location: near Woof (Germany) :-) Acer Laptop emachines 2 GB RAM AMD64. franco-/germanophone, +/- anglophone

PostPosted: Fri 31 May 2013, 08:17    Post subject:  

Hi Oscar

I did already have installed the browser on the old one version Iron-18-Lucid.pet.
And I did meet a little problem: This browser protests a bit more than my precedent version on the preinstalled out of date version of the Adobe Flash Player (it is not a old Puppy version: it is the last version coming from Adobe for Linux!).

Ok, as it is possible to select «RUN THIS TIME» I did consider that as a kind of build in flash player blocker Rolling Eyes !

What I really miss are more dictionary for spelling control as my both usual languages are not English but French and German!

Disappointed about the result of the import of bookmarks and favorites only a poor number of the stuff being in /root/.mozilla/firefox (user of seamonkey have rename her directory seamonkey into firefox! perhaps it is the reason of loose of an among of stuff...)

Kind regards
Back to top
View user's profile Send private message 
OscarTalks

Joined: 05 Feb 2012
Posts: 817
Location: London, England

PostPosted: Fri 31 May 2013, 12:08    Post subject:  

Hello oui,

Thanks for testing and reporting.
I am not an expert on this browser, I just took the generic Linux tarball, did a few tweaks like stripping unneeded and packaged as .sfs and .pet

If you are upgrading from version 18 to 27 that is quite a big jump. It is always possible that not everything will upgrade smoothly.

In Lucid I found that this browser complains that the OS is out of date and will not update, so It may be not ideal for Lucid. OK in more recent Puppies though.

I did include --allow-outdated-plugins in the launcher script and I have no problems running old versions of Flash Player.

Not really sure about the importing of bookmarks. As for dictionaries, are these normally addons which you have to download and install?

_________________
Oscar in England

Back to top
View user's profile Send private message 
Brown Mouse


Joined: 09 Jun 2009
Posts: 448
Location: Tenerife Canary Islands

PostPosted: Sat 01 Jun 2013, 04:01    Post subject:  

I've updated to this version of Iron in Precise 5.6.1 and all seems to be running fine so far.No problems with flash either. Smile
The only thing I did find was,it took out all my bookmarks.Not a problem for me but just a word of warning.
Back to top
View user's profile Send private message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Sat 01 Jun 2013, 04:27    Post subject:  

I am on an old Lupu 528-005 and loaded it using SFSexec
and the Iron told me that Chrome does not support my OS or Hardware
but everything worked if one just told it to. Smile Streaming video
and going to html pages and downloading pictures and so on.

So not sure why it say it would not work. it did. I am on an old HP
that have AND dual core 64 bit CPU

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
LoboGrande

Joined: 07 Aug 2009
Posts: 55

PostPosted: Sat 14 Sep 2013, 13:47    Post subject: Works fine in Precise 5.7  

I've got it up and loaded on two different machines, One is my desktop which uses AMD FX4100 on an ASUS A5M97 mobo and a Toshiba Tecra M5 with a 1.66 Intel Core Duo. It's a bit slower to load on the Tecra but once up it's snappy enough. You're going to need more than 512mb RAM to run it properly. I'd recommend something other than Iron/Chrome/Chromium for any older single core that are less then 1.4 ghz processor speed.
Back to top
View user's profile Send private message 
Wognath

Joined: 19 Apr 2009
Posts: 164

PostPosted: Thu 24 Oct 2013, 19:37    Post subject:  

Hello OscarTalks,
Thanks for the Iron sfs's and libraries. I have been running Iron as spot in Slacko 5.5. There is a long delay before opening the first web page, during which I get in the console the following messages:

Code:
(exe:12664): GLib-GIO-CRITICAL **: g_dbus_connection_call_sync_internal: assertion `G_IS_DBUS_CONNECTION (connection)' failed

** (exe:12664): CRITICAL **: Unable to contact dconf service

(exe:12664): GLib-GIO-CRITICAL **: g_dbus_connection_add_filter: assertion `G_IS_DBUS_CONNECTION (connection)' failed 
(printed ten times!)

Finally after ~40s, the web page opens and everything functions normally. This has not happened in other puppies (Precise, Wheezy) or in slacko running Iron as root. Do you have any suggestions for me? Thanks.

Edit: I get the same messages when I run Opera as spot
Back to top
View user's profile Send private message 
OscarTalks

Joined: 05 Feb 2012
Posts: 817
Location: London, England

PostPosted: Sat 26 Oct 2013, 09:12    Post subject:  

Hello Wognath,

Sorry, but I don't have any definitive answer for this. The fact that you get the same with Opera suggests something wonky with the system rather than specifically within the browser. I suppose you could try installing the full gconf package from PPM rather than just the lib, but I don't think Opera needs it anyway.

I have never tried running as spot and with these Chromium based browsers I now tend to use Chromium itself rather than Chrome or Iron. I do know that the Chromium code is always in constant development and I have found that (when running as root) I get fewer errors in console with the more recent versions. Versions 26 and 27 would show errors relating to dbus sometimes (although no long delays in opening) but those errors don't show up with version 30. I don't have a version 30 of Iron, but just as an experiment you may wish to try my version 30 of Chromium or the one by peebee in the other threads.

_________________
Oscar in England

Back to top
View user's profile Send private message 
Wognath

Joined: 19 Apr 2009
Posts: 164

PostPosted: Sat 26 Oct 2013, 13:10    Post subject:  

Thank you for your detailed reply. I have tried Chromium, with the same result. Since this is appears to be a problem with Slacko rather than a particular browser, I'll post the issue on the Slacko forum.
Thanks again
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [9 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0712s ][ Queries: 12 (0.0121s) ][ GZIP on ]